Create a Communication
curl --request POST \
--url https://api.virtuoussoftware.com/api/Communication \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"campaignId": "<integer>",
"channelType": "<string>",
"communicationType": "<string>",
"communicationStep": "<string>",
"startDateTime": "<dateTime>",
"ownerId": "<integer>",
"givingGoal": "<double>",
"newGiverGoal": "<integer>",
"internalCostEstimate": "<double>",
"vendorCostEstimate": "<double>",
"networkReach": "<integer>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
campaignId: '<integer>',
channelType: '<string>',
communicationType: '<string>',
communicationStep: '<string>',
startDateTime: '<dateTime>',
ownerId: '<integer>',
givingGoal: '<double>',
newGiverGoal: '<integer>',
internalCostEstimate: '<double>',
vendorCostEstimate: '<double>',
networkReach: '<integer>'
})
};
fetch('https://api.virtuoussoftware.com/api/Communication', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Communication"
payload = {
"name": "<string>",
"campaignId": "<integer>",
"channelType": "<string>",
"communicationType": "<string>",
"communicationStep": "<string>",
"startDateTime": "<dateTime>",
"ownerId": "<integer>",
"givingGoal": "<double>",
"newGiverGoal": "<integer>",
"internalCostEstimate": "<double>",
"vendorCostEstimate": "<double>",
"networkReach": "<integer>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Communication");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"campaignId\": \"<integer>\",\n \"channelType\": \"<string>\",\n \"communicationType\": \"<string>\",\n \"communicationStep\": \"<string>\",\n \"startDateTime\": \"<dateTime>\",\n \"ownerId\": \"<integer>\",\n \"givingGoal\": \"<double>\",\n \"newGiverGoal\": \"<integer>\",\n \"internalCostEstimate\": \"<double>\",\n \"vendorCostEstimate\": \"<double>\",\n \"networkReach\": \"<integer>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Communication';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
campaignId: '<integer>',
channelType: '<string>',
communicationType: '<string>',
communicationStep: '<string>',
startDateTime: '<dateTime>',
ownerId: '<integer>',
givingGoal: '<double>',
newGiverGoal: '<integer>',
internalCostEstimate: '<double>',
vendorCostEstimate: '<double>',
networkReach: '<integer>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"communicationId": 4510,
"name": "Giving Tuesday 2025 — Email 1",
"campaignId": 2013,
"campaignName": "Giving Tuesday 2025",
"channelType": "Email",
"communicationType": "Appeal",
"startDateTimeUtc": "2025-12-02T14:00:00Z",
"givingGoal": 40000,
"projectId": 1001,
"projectCode": "GEN",
"projectName": "General Fund",
"createDateTimeUtc": "2025-11-15T17:40:00Z",
"createdByUser": "Partner Integration",
"modifiedDateTimeUtc": "2025-11-15T17:40:00Z",
"modifiedByUser": "Partner Integration"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Communications
Create a Communication
POST
/
api
/
Communication
Create a Communication
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The name of the communication.
The identifier of the campaign this record belongs to.
Response
OK
The display name of the record.
The identifier of the project this record is designated to.
The UTC date and time the record was created.
The name of the user who created the record.
The UTC date and time the record was last modified.
The name of the user who last modified the record.
Last modified on July 24, 2026
Was this page helpful?
⌘I